// This file was generated by [tauri-specta](https://github.com/oscartbeaumont/tauri-specta). Do not edit this file manually.

declare global {
  interface Window {
    __TAURI_INVOKE__<T>(cmd: string, args?: Record<string, unknown>): Promise<T>;
  }
}

const invoke = window.__TAURI_INVOKE__;

export function getAccounts() {
  return invoke<Account[]>('get_accounts');
}

export function createAccount(data: CreateAccountData) {
  return invoke<Account>('create_account', { data });
}

export function getFollows(data: GetFollowData) {
  return invoke<Follow[]>('get_follows', { data });
}

export function getFollowByPubkey(data: GetFollowPubkeyData) {
  return invoke<Follow | null>('get_follow_by_pubkey', { data });
}

export function createFollow(data: CreateFollowData) {
  return invoke<Follow>('create_follow', { data });
}

export function createNote(data: CreateNoteData) {
  return invoke<Note>('create_note', { data });
}

export function getNotes(data: GetNoteData) {
  return invoke<Note[]>('get_notes', { data });
}

export function getLatestNotes(data: GetLatestNoteData) {
  return invoke<Note[]>('get_latest_notes', { data });
}

export function getNoteById(data: GetNoteByIdData) {
  return invoke<Note | null>('get_note_by_id', { data });
}

export type GetFollowData = { account_id: number };
export type Note = {
  id: number;
  eventId: string;
  pubkey: string;
  kind: number;
  tags: string;
  content: string;
  parent_id: string;
  parent_comment_id: string;
  createdAt: number;
  accountId: number;
};
export type Account = { id: number; pubkey: string; privkey: string; active: boolean; metadata: string };
export type GetLatestNoteData = { date: number };
export type CreateFollowData = { pubkey: string; kind: number; metadata: string; account_id: number };
export type GetFollowPubkeyData = { pubkey: string };
export type CreateAccountData = { pubkey: string; privkey: string; metadata: string };
export type Follow = { id: number; pubkey: string; kind: number; metadata: string; accountId: number };
export type CreateNoteData = {
  event_id: string;
  pubkey: string;
  kind: number;
  tags: string;
  content: string;
  parent_id: string;
  parent_comment_id: string;
  created_at: number;
  account_id: number;
};
export type GetNoteByIdData = { event_id: string };
export type GetNoteData = { date: number; limit: number; offset: number };
